from django.test import TestCase

from core.tests.helpers import ElasticMock, LiveBase


class LiveTradingTestCase(ElasticMock, LiveBase, TestCase):
    def test_account_functional(self):
        """
        Test that the account is functional.
        """
        balance = self.account.client.get_balance()
        self.assertTrue(balance > 0)
